%define prerelease 0dd3f918b21bec95ace9dc86c7e70266cfc5c702
%define import_path github.com/mitchellh/osext
%define gosrc %{gopath}/src/%{import_path}
%define shortcommit %(c=%{prerelease}; echo ${c:0:7})
Summary:	Extensions to the standard go "os" package
Name:		golang-mitchellh-osext
Version:	0.20130617
Release:	%mkrel 11
License:	BSD
Group:		Development/Golang
Url:		https://%{import_path}
Source0:	https://%{import_path}/archive/%{prerelease}.tar.gz
Provides:	golang(%{import_path}) = %{version}-%{release}
BuildRequires:	golang
BuildArch:	noarch

%description
Extensions to the standard go "os" package

Forked from https://bitbucket.org/kardianos/osext/overview

%prep
%setup -q -n osext-%{prerelease}

%build

%install
mkdir -p %{buildroot}%{gosrc}
cp -av * %{buildroot}%{gosrc}/
rm -f %{buildroot}%{gosrc}/LICENSE

%files
%doc LICENSE
%{gosrc}/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.20130617-11.mga10
+ Revision: 2210928
- Mageia 10 Mass Rebuild
+ wally <wally>
- update RPM group to Development/Golang

* Fri Mar 25 2022 umeabot <umeabot> 0.20130617-10.mga9
+ Revision: 1825849
- Mageia 9 Mass Rebuild

* Tue Feb 11 2020 umeabot <umeabot> 0.20130617-9.mga8
+ Revision: 1490296
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 0.20130617-8.mga7
+ Revision: 1261830
- Mageia 7 Mass Rebuild

* Wed Jul 20 2016 pterjan <pterjan> 0.20130617-7.mga6
+ Revision: 1042862
- Use gopath macro from golang package and make this package noarch

* Thu Feb 11 2016 umeabot <umeabot> 0.20130617-6.mga6
+ Revision: 954179
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 tv <tv> 0.20130617-5.mga6
+ Revision: 893497
- disable debuginfo

* Wed Oct 15 2014 umeabot <umeabot> 0.20130617-4.mga5
+ Revision: 747676
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20130617-3.mga5
+ Revision: 679873
- Mageia 5 Mass Rebuild

* Sat Dec 21 2013 thatsamguy <thatsamguy> 0.20130617-2.mga4
+ Revision: 559446
+ rebuild (emptylog)

* Fri Oct 25 2013 thatsamguy <thatsamguy> 0.20130617-1.mga4
+ Revision: 546882
- imported package golang-mitchellh-osext

